Table of Contents

Class: ButtonBox | ../bkchem/Pmw.py
--- | ---
Base Classes |
--- | ---
MegaWidget MegaArchetype
Methods |
--- | ---
__init__ add alignbuttons button delete destroy | index insert invoke numbuttons setdefault
| __init__
    __init__ (
            self,
            parent=None,
            **kw,
            )
Exceptions |
--- | ---
ValueError, 'bad orient option ' + repr( orient ) + ': must be either \'horizontal\' or \'vertical\''
| add
    add (
            self,
            componentName,
            **kw,
            )
| alignbuttons
    alignbuttons ( self,  when='later' )
| button
    button ( self,  buttonIndex )
| delete
    delete ( self,  index )
| destroy
    destroy ( self )
| index
    index (
            self,
            index,
            forInsert=0,
            )
Exceptions |
--- | ---
ValueError, 'ButtonBox has no buttons' ValueError, 'ButtonBox has no default' ValueError, 'bad index "%s": must be %s' %( index, validValues ) ValueError, 'index "%s" is out of range' % index
| insert
    insert (
            self,
            componentName,
            beforeComponent=0,
            **kw,
            )
Exceptions |
--- | ---
ValueError, 'button "%s" already exists' % componentName
| invoke
    invoke (
            self,
            index=DEFAULT,
            noFlash=0,
            )
| numbuttons
    numbuttons ( self )
| setdefault
    setdefault ( self,  index )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1